# react-lang

Use simple components(`<EN>`, `<ZH>` and etc) to create i18n apps.
Inspired by [react-language](https://github.com/Lobos/react-language)

---

## Install

```bash
npm install react-lang --save-dev
```

## Example

```js
import React, {Component} from 'react'
import {Language, ZH, EN} from 'react-lang'
import ReactDOM from 'react-dom'

class Example extends Component {
  render (){
    <div>
      <ZH>你好, 世界</ZH>
      <EN>hello, world</EN>
    </div>
  }
}

ReactDOM.render((
  <Language>
    <Example />
  </Language>
), document.getElementById('app'))
```

## License

MIT